<section class="fondo" style="padding: 4% 0;">
    <div style="text-align: right;padding: 0 4%;">
        <button routerLink="/list" class="btn-atras">
            Atrás
        </button>
    </div>
    <div class="tk-detail">
        <h1 style="margin-top: 0;" [@changeState]="state">
            {{fixData.name}}
        </h1>
    </div>
    <div class="grid">
        <div>
            <div class="tk-detail" [@changeState]="state">
                <h6>Datos Generales</h6>
                <p>
                    id: {{fixData.id}}
                </p>
                <p>
                    Nombre: {{fixData.name}}
                </p>
                <p>
                    Experiencia: {{fixData.experience}}
                </p>
                <p>
                    Ancho: {{fixData.weight}}
                </p>
                <p>
                    Altura: {{fixData.height}}
                </p>
            </div>
        </div>
        <div>
            <div class="grid tk-img tk-grid-img-responsive" (mouseover)="animation()">
                <div *ngFor="let item of fixData.sprites">
                    <img src="{{item}}" alt="{{fixData.name}}">
                </div>
            </div>
        </div>
    </div>
    <div class="tk-estadisticas" (mouseover)="animation()">
        <div [@changeState]="state">
            <h4>Estadisticas</h4>
            <div class="tk-grid">
                <div>
                    <div class="box-responsive">
                        <h6 style="margin: 2% 0;">Habilidades</h6>
                        <p style="padding: 2%;">Nombre: {{fixData.name}} con Experiencia: {{fixData.experience}}</p>
                        <div class="tk-grid">
                            <div class="tk-info" *ngFor="let item of fixData.stats">
                                <span>Nombre: {{item.name}}<br>Base: {{item.base_stat}}<br>Esfuerzo : {{item.effort}} </span>
                            </div>
                        </div>
                    </div>
                </div>
                <div>
                    <div class="box-responsive">
                        <h6 style="margin: 2% 0;">Especie</h6>
                        <ol>
                            <li *ngFor="let item of fixData.species">Nombre: {{item.name}}<br>Color: {{item.color}}<br>Felicidad básica: {{item.base_happiness}}<br> Tasa de captura: {{item.capture_rate}}<br>Evoluciona de la especie : {{item.evolves_from_species}}<br>Forma: {{item.shape}}<br>Habitat: {{item.site}} </li>
                        </ol>
                    </div>
                </div>
                <div>
                    <div class="box-responsive">
                        <h6 style="margin: 2% 0;">Tipo</h6>
                        <ol>
                            <li *ngFor="let item of fixData.types">Nombre: {{item.name}}<br>Espacio: {{item.slot}}</li>
                        </ol>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
